/**
  *  \file util/answer.cc
  *  \brief AnswerProvider interface
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "util/answer.h"

ConstantAnswerProvider ConstantAnswerProvider::sayYes(true);
ConstantAnswerProvider ConstantAnswerProvider::sayNo(false);

bool
ConstantAnswerProvider::ask(int, string_t)
{
    return answer;
}
